Identity, people & notifications
Notification List
Returns a cursor-paginated notification feed for the caller role, optionally unread only.
POSThttps://api.toku.com/platform/notification-list
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/platform/notification-list' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"limit": 0,
"cursor": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"unreadOnly": true
}'200 response
{
"items": [
{
"roleNotificationID": "string",
"readAt": "string",
"createdAt": "string",
"event": {
"notificationEventID": "string",
"eventType": "string",
"actorRoleInOrgID": "string",
"groupKey": "string",
"targetEntityID": "string",
"targetEntityType": "string",
"display": {
"title": "string",
"href": "string"
},
"createdAt": "string"
}
}
],
"nextCursor": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
approvalOnlyanylimitintegerAllowed: 1 to 50
cursorstring<uuid> | stringunreadOnlybooleanResponse
200Successful response
itemsobject[]requiredShow child attributes
roleNotificationIDstringrequiredreadAtstring | nullrequiredcreatedAtstringrequiredeventobjectrequiredShow child attributes
notificationEventIDstringrequiredeventTypestringrequiredactorRoleInOrgIDstring | nullrequiredgroupKeystring | nullrequiredtargetEntityIDstring | nullrequiredtargetEntityTypestring | nullrequiredpayloadanyrequireddisplayobjectShow child attributes
titlestringrequiredhrefstring | nullrequiredcreatedAtstringrequirednextCursorstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits